Subject: [pim] Question on handling IGMPv3 current state reports -- Part 1

From: [email-masked]
Date: Fri, 18 Nov 2005 15:49:04 -0800

Hello,

> Have following questions about state machine in section 6.4.1 on RFC
> 3376.. Based on our understanding the EXCLUDE(X, Y) implies that we
> want to receive traffic from sources in set X and we do not want to
> receive traffic from sources in set Y.
> 
> Scenario 1
> ______________________________________________________________________
> _____
> Router State		Report Received      New Router State
> Actions          ____
> INLCUDE(A)                 IS_EX(B)                EXCLUDE(A*B,B-A)
> (B-A) = 0
 
Delete (A-B)
 
Group timer=GMI	
> ______________________________________________________________________
> _____
> 
> If we were to take a quick example:
> 
> t = 0: router state is INCLUDE(A:{a,b,c}) 
> t = 1: received a current state report IS_EX(B:{c,d,e}), 
> 
> Expected new router state: EXCLUDE(A, B-A), RFC says it is
> EXCLUDE(A*B, B-A).
> 
> Question:
> In the new router state we want to block traffic from sources in set B
> but not in A (since some other hosts on the LAN expressed interest in
> receiving from sources in set A, based on the current router state).  
> 
> Why do we say that in the new router state we want to be receiving
> traffic only from sources in A*B. I would think that the correct new
> router state would be to continue to receive traffic from sources in
> set A. (EXCLUDE(A, B-A)). Do we send a notification to multicast
> routing protocol to prune sources in (A-B) when we say in the Actions
> section Delete (A-B)?
> 
> Are we missing something or interpreting some notation in the RFC
> incorrectly?
> 
> Scenario 2:
> ______________________________________________________________________
> _____
> Router State		Report Received      New Router State
> Actions          ____
> EXCLUDE(X,Y)             IS_EX(A)                EXCLUDE(A-Y,Y*A)
> A-X-Y = GMI
 
Delete (X-A)
 
Delete (Y-A)
 
Group timer=GMI	
> ______________________________________________________________________
> _____
> 
> If we were to take a quick example:
> 
> t = 0: router state is EXCLUDE({a,b,c}, {d,e,f}) 
> t = 1: received IS_EX({c,f,g,h}).
> 
> Expected new router state: EXCLUDE(X, Y*A). RFC says it is:
> EXCLUDE(A-Y,Y*A).
> 
> Question:
> From the router state we know that we do not want traffic on the LAN
> sent from sources {d,e,f} and we have received current state record
> from a host on the LAN which does not want traffic from {c,f,g,h}. On
> the outset we should not be forwarding traffic from sources which are
> there in the blocked list of the existing hosts AND the blocked list
> of the host which is sending the current state report. So we block the
> sources in the set Y*A {f} in the new router state.  
> 
> In the new router state why do we say we want to receive the traffic
> from sources in A-Y (in this example it would imply we would receive
> traffic only from {c,g,h}). Why do we  leave out sources {a,b} from
> this list in the new router state? 
> 
> Are we missing something or interpreting some notation in the RFC
> incorrectly?
> 
> Please advise.
> 
> Best regards,
> Sowmya

_______________________________________________
pim mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/pim